# JvmTestSuiteTarget

API Documentation: | `JvmTestSuiteTarget`

Note: This class is incubating and may change in a future version of Gradle.

Defines the target environment against which a `JvmTestSuite` will be run.

### Properties

Property | Description
`binaryResultsDirectory` | Incubating The directory containing the binary results produced by executing this test suite target.
`testTask` | Incubating The `Test` task that runs the tests for the associated test suite.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### ``Provider`<`Directory`>` `binaryResultsDirectory`

Note: This property is incubating and may change in a future version of Gradle.

The directory containing the binary results produced by executing this test suite target.

#### ``TaskProvider`<`Test`>` `testTask`

Note: This property is incubating and may change in a future version of Gradle.

The `Test` task that runs the tests for the associated test suite.